<?php
/*
Plugin Name: WordPress Protection [Security for your Website]
Plugin URI: http://www.edarpan.com/pages/wordpress-protection
Description: <strong>WordPress Protection Plugin</strong> provides complete security for your wordpress website, so that the plagiarists could not copy the content and steal data or images from your wordpress site Pages. By using the WordPress Protection Plugin (Basic), you can disable the text-selection and block the use of right click on your website. However, to apply full security to your wordpress website, you can purchase the <a href="http://www.edarpan.com/pages/wordpress-protection">Professional WordPress Protection</a> Plugin.
Version: 1.0
Author: eDarpan.com
Author URI: http://www.edarpan.com/

*************************************************************************

Copyright (C) 2012 eDarpan.com

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*************************************************************************/

$edarpan_wp_sbs = get_bloginfo('wpurl')."/wp-content/plugins/".basename(dirname(__FILE__));

function WordPressProtection_DRC_NT()
{
?>
<!-- Wordpress Protection Plugin by eDarpan.com -->
<script type="text/javascript">
<!--
function clickIE4(){
  if (event.button==2){
  return false;
  }
}
function clickNS4(e){
  if (document.layers||document.getElementById&&!document.all){
    if (e.which==2||e.which==3){
    return false;
    }
  }
}

  if (document.layers){
  document.captureEvents(Event.MOUSEDOWN);
  document.onmousedown=clickNS4;
  }
  else if (document.all&&!document.getElementById){
  document.onmousedown=clickIE4;
  }

document.oncontextmenu=new Function("return false")
// --> 
</script>

<?php
}

function WordPressProtection_DRC($WordPressProtection_Text)
{
?>
<!-- Wordpress Protection Plugin by eDarpan.com -->
<script type="text/javascript">
<!--
var message="<?php echo $WordPressProtection_Text; ?>";
function clickIE4(){
  if (event.button==2){
  alert(message);
  return false;
  }
}

function clickNS4(e){
  if (document.layers||document.getElementById&&!document.all){
    if (e.which==2||e.which==3){
    alert(message);
    return false;
    }
  }
}

  if (document.layers){
  document.captureEvents(Event.MOUSEDOWN);
  document.onmousedown=clickNS4;
  }
  else if (document.all&&!document.getElementById){
  document.onmousedown=clickIE4;
  }
  
document.oncontextmenu=new Function("alert(message);return false")
// --> 
</script>

<?php

}

function WordPressProtection_DTS()
{
?>
<script type="text/javascript">
function disableSelection(target){
if (typeof target.onselectstart!="undefined")
	target.onselectstart=function(){return false}
else if (typeof target.style.MozUserSelect!="undefined")
	target.style.MozUserSelect="none"
else
	target.onmousedown=function(){return false}
target.style.cursor = "default"
}
</script>
<?php
}

function WordPressProtection_DTS_footer()
{
echo '<script type="text/javascript">
disableSelection(document.body)
</script>';
}

function WordPressProtection_Display()
{
echo '<small>Website is Protected by <a href="http://wordpress.org/extend/plugins/wordpress-protection/" target="_blank">Wordpress Protection</a> <a href="http://www.edarpan.com/pages/wordpress-protection" target="_blank">Security Plugin</a> from <a href="http://www.edarpan.com/" target="_blank">eDarpan.com</a>.</small>';
}

function WordPressProtection_options_page()
{
?>
<div class="wrap">
	<h1>Wordpress Protection Plugin (Basic)</h1> 
	<a href="http://www.edarpan.com/pages/wordpress-protection" target="_blank" title="Buy the Professional WordPress Protection">Buy Professional WordPress Protection</a> | <a href="http://www.edarpan.com/pages/wordpress-protection" target="_blank" title="www.eDarpan.com">Visit Plugin Home</a><br /><br />
<?php
	if($_POST['WordPressProtection_save']){
		update_option('WordPressProtection_DTS',$_POST['WordPressProtection_DTS']);
		update_option('WordPressProtection_DRC',$_POST['WordPressProtection_DRC']);
		update_option('WordPressProtection_DRC_text',$_POST['WordPressProtection_DRC_text']);
		update_option('WordPressProtection_TDS',$_POST['WordPressProtection_TDS']);

		echo '<div class="updated"><p>Your Options are Saved.</p></div>';
	}
	$ED_WordPressProtection_DRC = get_option('WordPressProtection_DRC');
	$ED_WordPressProtection_DTS = get_option('WordPressProtection_DTS');
	$ED_WordPressProtection_TDS = get_option('WordPressProtection_TDS');
	?>
	<form method="post" id="WordPressProtection_options">
		<fieldset class="options">
		<table class="form-table">		
			<tr valign="top"> 
				<th scope="row">Disable Text-Selection ? </th> 
				<td>
				<input type="checkbox" id="WordPressProtection_DTS" name="WordPressProtection_DTS" value="WordPressProtection_DTS" <?php if($ED_WordPressProtection_DTS == true) { echo('checked="checked"'); } ?> />
				Activate
				</td> 
			</tr>	
			<tr valign="top"> 
				<th scope="row">Disable Mouse - Right Click ? </th> 
				<td>
				<input type="radio" name="WordPressProtection_DRC" value="0" <?php if($ED_WordPressProtection_DRC == 0) echo('checked'); ?> />
				Don't Disable Mouse Right Click.<br />
				<input type="radio" name="WordPressProtection_DRC" value="1" <?php if($ED_WordPressProtection_DRC == 1) echo('checked'); ?> />
				Disable Mouse Right Click without any alert.<br />
				<input type="radio" name="WordPressProtection_DRC" value="2" <?php if($ED_WordPressProtection_DRC == 2) echo('checked'); ?> />
				Disable Mouse Right Click with an alert box :<br />
				<input name="WordPressProtection_DRC_text" type="text" id="WordPressProtection_DRC_text" value="<?php echo get_option('WordPressProtection_DRC_text') ;?>" size="50"/>
				</td> 
			</tr> 
			<tr valign="top"> 
				<th scope="row">Proudly tell that you are using WordPress Protection Plugin ? </th> 
				<td>
				<input type="checkbox" id="WordPressProtection_TDS" name="WordPressProtection_TDS" value="WordPressProtection_TDS" <?php if($ED_WordPressProtection_TDS == true) { echo('checked="checked"'); } ?> />
				Yes, Please Activate
				</td> 
			</tr>				
		<tr>
		<tr>
        <th scope="row">Buy Professional ?</th> 
        <td title="Click here to buy the Professional WordPress Protection to apply complete security on your wordpress website."><a href="http://www.edarpan.com/pages/wordpress-protection" style="text-decoration:none;"><b>Click here</b> to buy the <b>Professional WordPress Protection</b></a>
        </td>
		</tr>
        <th scope="row">&nbsp;</th> 
        <td>
		<input type="submit" name="WordPressProtection_save" value="Save all Settings" />
        </td>
        </tr>
		</table>
		
		<br /><br /><br />
		<a href="http://www.edarpan.com/pages/wordpress-protection" style="text-decoration:none;"><b>Click here</b> to see the difference between the <b>Basic</b> and <b>Professional</b> versions of <b>WordPress Protection</b></a><br /><br />
		
		
		<small>For all kind of Inquiries and Support, please email us at <a href="mailto:support@edarpan.com" target="_blank">support@edarpan.com</a>.<br />
		Follow us on Twitter <a href="http://twitter.com/edarpan" target="_blank">@edarpan</a><br />
		Join us on <a href="http://www.facebook.com/pages/eDarpancom/109161992501047" target="_blank">Facebook</a>
		

		</small>
		</fieldset>
	</form>
	</table>
	</div>
	<?php
}

function WordPressProtection()
{
	$ED_WordPressProtection_DTS = get_option('WordPressProtection_DTS');
	$ED_WordPressProtection_DRC = get_option('WordPressProtection_DRC');
	$ED_WordPressProtection_DRC_text = get_option('WordPressProtection_DRC_text');
	$ED_WordPressProtection_TDS = get_option('WordPressProtection_TDS');
	$data = strpos(strtolower(getenv("REQUEST_URI")), '?preview=true');
	
	if ($data === false) {
		if($ED_WordPressProtection_DRC == 1) { WordPressProtection_DRC_NT(); }
		if($ED_WordPressProtection_DRC == 2) { WordPressProtection_DRC($ED_WordPressProtection_DRC_text); }
		if($ED_WordPressProtection_DTS == true) { WordPressProtection_DTS(); }
	}
}

function WordPressProtection_adminmenu()
{
	if (function_exists('add_options_page')) {	
		add_options_page('WordPress Protection', 'WordPress Protection', 9, basename(__FILE__),'WordPressProtection_options_page');
	}
}

function WordPressProtection_footer()
{
	$ED_WordPressProtection_DTS = get_option('WordPressProtection_DTS');
	$ED_WordPressProtection_TDS = get_option('WordPressProtection_TDS');

	if($ED_WordPressProtection_DTS == true) { WordPressProtection_DTS_footer(); }
	if($ED_WordPressProtection_TDS == true) { WordPressProtection_Display(); }
}

add_action('wp_head','WordPressProtection');
add_action('wp_footer','WordPressProtection_footer');
add_action('admin_menu','WordPressProtection_adminmenu',1);
?>